export function removeNull (list) {
  return list.filter(n => n);
}

export function uniqueArr(arr, key) {
  let obj = {}
  return arr.reduce((pre, cur) => obj[cur[key]] ? pre : obj[cur[key]] = true && [...pre, cur], [])
}

export function encodeTokenToBase64(token) {
  try {
    // 将Token转换为Base64编码
    const encodedToken = btoa(token);
    return encodedToken;
  } catch (error) {
    console.error('Base64编码失败:', error);
    return null;
  }
}